<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\StatusQuotedMessage;

use UnexpectedValueException;




class StatusQuotedMessageType
{
    


    const STATUS_QUOTED_MESSAGE_TYPE_UNSPECIFIED = 0;
    


    const QUESTION_ANSWER = 1;

    private static $valueToName = [
        self::STATUS_QUOTED_MESSAGE_TYPE_UNSPECIFIED => 'STATUS_QUOTED_MESSAGE_TYPE_UNSPECIFIED',
        self::QUESTION_ANSWER => 'QUESTION_ANSWER',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

